Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.FillSign Class Reference

## Public Member Functions
| AddObject (type, point, width, height, rotation)
| Add a new fill-sign object (except text fill-sign object) to related PDF page (which is used in constructor). More...
| AddTextObject (text_data, point, width, height, rotation, is_comb_field_mode)
| Add a new text fill-sign object to related PDF page (which is used in constructor). More...
| constructor (page)
| Constructor, from a PDF page object. More...
| GetObjectAtDevicePoint (point, matrix)
| Get a fill-sign object by specified point in device coordinate system. More...
| GetObjectAtPoint (point)
| Get a fill-sign object by specified point in PDF coordinate system. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| RemoveObject (fillsign_object)
| Remove a specified fill-sign object. More...

## Static Public Attributes
static | e_FillSignObjectTypeCheckMark
| Check mark fill-sign object.
static | e_FillSignObjectTypeCrossMark
| Cross mark fill-sign object.
static | e_FillSignObjectTypeDot
| Dot fill-sign object.
static | e_FillSignObjectTypeInitialsSignature
| Initials signature fill-sign object.
static | e_FillSignObjectTypeLine
| Line fill-sign object.
static | e_FillSignObjectTypeRoundRectangle
| Round rectangle fill-sign object.
static | e_FillSignObjectTypeSignature
| Signature fill-sign object.
static | e_FillSignObjectTypeText
| Enumeration for fill-sign object type. More...

## Detailed Description

Fill-sign means to fill some graphics objects to PDF page and sign them. This class is used as a manager for fill-sign objects. User can use this class to add/get/remove fill-sign objects (including cross mark, check mark, dot, line, round rectangle, signature and initials signature) to PDF page.

## Member Function Documentation

## ◆ AddObject()

FSDK.FillSign.AddObject | ( | type | ,
|  | point | ,
|  | width | ,
|  | height | ,
|  | rotation |
| ) |  |

Add a new fill-sign object (except text fill-sign object) to related PDF page (which is used in constructor).

This function can be used to add fill-sign object except type FSDK.FillSign.e_FillSignObjectTypeText. If you want to add a fill-sign object with type FSDK.FillSign.e_FillSignObjectTypeText, please call function FSDK.FillSign.AddTextObject instead.

- If to add a fill-sign object with type FSDK.FillSign.e_FillSignObjectTypeCrossMark, FSDK.FillSign.e_FillSignObjectTypeCheckMark, FSDK.FillSign.e_FillSignObjectTypeLine or FSDK.FillSign.e_FillSignObjectTypeDot, the bigger value of input width and height will be used as both width and height for the new fill-sign object.
- If to add a fill-sign object with type FSDK.FillSign.e_FillSignObjectTypeLine, input height is useless and will be ignored.

Parameters

  [in] | type | Fill-sign type which is used to specify what kind of fill-sign object is to be added. Please refer to values starting from FSDK.FillSign.e_FillSignObjectTypeCrossMark and this should be one of these values.
  [in] | point | Left-bottom point for new fill-sign object, in PDF coordinate system.
  [in] | width | Width for new fill-sign object.
  [in] | height | Height for new fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from FSDK.e_Rotation0 and this should be one of these values except FSDK.e_RotationUnknown.

Returns
  A new fill-sign object.

## ◆ AddTextObject()

FSDK.FillSign.AddTextObject | ( | text_data | ,
|  | point | ,
|  | width | ,
|  | height | ,
|  | rotation | ,
|  | is_comb_field_mode |
| ) |  |

Add a new text fill-sign object to related PDF page (which is used in constructor).

Parameters

  [in] | text_data | A text data array to be set to new text fill-sign object. For each text fill-sign object data, origin_position of member text_state will not be used.
  [in] | point | Left-bottom point for new fill-sign object, in PDF coordinate system.
  [in] | width | Width for new fill-sign object.
  [in] | height | Height for new fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from FSDK.e_Rotation0 and this should be one of these values except FSDK.e_RotationUnknown.
  [in] | is_comb_field_mode | A boolean value to decide whether for comb field mode or normal mode: true means to set input text data in comb field mode. For each text fill-sign object data, if charspace of member text_state is 0, default value 6.0f will be used instead. false means to set input text data in normal mode. For each text fill-sign object data, charspace of member text_state will not be used.

Returns
  A new fill-sign object.

## ◆ constructor()

FSDK.FillSign.constructor | ( | page |  | ) |

Constructor, from a PDF page object.

Please ensure input PDF page has been parsed successfully.

Parameters

  [in] | page | A valid PDF page object.

## ◆ GetObjectAtDevicePoint()

FSDK.FillSign.GetObjectAtDevicePoint | ( | point | ,
|  | matrix |
| ) |  |

Get a fill-sign object by specified point in device coordinate system.

After adding the fill-sign object with type FSDK.FillSign.e_FillSignObjectTypeSignature or FSDK.FillSign.e_FillSignObjectTypeInitialsSignature,all the existed fill-sign objects which belong to the same PDF document cannot be retrieved.

Parameters

  [in] | point | A specified point in device coordinate system.
  [in] | matrix | A transform matrix from device coordinate system to PDF coordinate system.

Returns
  A fill-sign object.

## ◆ GetObjectAtPoint()

FSDK.FillSign.GetObjectAtPoint | ( | point |  | ) |

Get a fill-sign object by specified point in PDF coordinate system.

After adding a fill-sign object with type FSDK.FillSign.e_FillSignObjectTypeSignature or FSDK.FillSign.e_FillSignObjectTypeInitialsSignature, all the existed fill-sign objects which belong to the same PDF document cannot be retrieved.

Parameters

  [in] | point | A specified point in PDF coordinate system.

Returns
  A fill-sign object.

## ◆ IsEmpty()

FSDK.FillSign.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveObject()

FSDK.FillSign.RemoveObject | ( | fillsign_object |  | ) |

Remove a specified fill-sign object.

After adding a fill-sign object with type FSDK.FillSign.e_FillSignObjectTypeSignature or FSDK.FillSign.e_FillSignObjectTypeInitialsSignature, all the existed fill-sign objects which belong to the same PDF document cannot be removed. For this case, this function will return false if any existed fill-sign object is to be removed.

Parameters

  [in] | fillsign_object | A fill-sign object to be removed.

Returns
  true means success, while false means failed.

## Member Data Documentation

## ◆ e_FillSignObjectTypeText

FSDK.FillSign.e_FillSignObjectTypeText
| static

Enumeration for fill-sign object type.

Values of this enumeration can be used alone.

Text fill-sign object.